/shorttermforecasthistory#
Monthly production backcasts by well.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/shorttermforecasthistory |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/shorttermforecasthistory" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{"date_forecast_run": "2024-07-01"}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
short_term_forecast_history_resp = hyperion_api_client.short_term_forecast_history(date_forecast_run="2024-07-01")
short_term_forecast_history_df = short_term_forecast_history_resp.df()
short_term_forecast_history_df.head()
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
county |
string array |
The county the well is in |
CAMPBELL |
date_forecast_run |
— |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string array |
Subregion divisions based on natural gas production profiles |
14081712000 |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
county |
string |
The county the well is in |
CAMPBELL |
date_forecast_run |
— |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
prod_oil_bbl_day |
number |
Daily oil production in barrels |
— |
prod_oil_bbl_month |
number |
Monthly oil production in barrels |
— |
prod_wet_gas_mcf_day |
number |
Daily wet gas production in million cubic feet |
— |
prod_wet_gas_mcf_month |
number |
Monthly wet gas production in million cubic feet |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string |
A well identifier |
14081712000 |
Aggregation#
Supported parameters: county, date_prod, operator, region_natgas, state_code, sub_region_natgas
Normal Output#
county |
date_forecast_run |
date_prod |
operator |
prod_oil_bbl_day |
prod_oil_bbl_month |
prod_wet_gas_mcf_day |
prod_wet_gas_mcf_month |
region_natgas |
state_code |
sub_region_natgas |
well_id |
|---|---|---|---|---|---|---|---|---|---|---|---|
BIENVILLE |
2024-07-01 |
2023-09-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
9.933333333333334 |
298.0 |
gulf |
LA |
Haynesville - LA |
1701300014 |
BIENVILLE |
2024-07-01 |
2023-10-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
10.983870967741936 |
340.5 |
gulf |
LA |
Haynesville - LA |
1701300014 |
BIENVILLE |
2024-07-01 |
2023-11-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
11.05 |
331.5 |
gulf |
LA |
Haynesville - LA |
1701300014 |
BIENVILLE |
2024-07-01 |
2023-12-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
10.629032258064516 |
329.5 |
gulf |
LA |
Haynesville - LA |
1701300014 |
BIENVILLE |
2024-07-01 |
2024-01-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
10.225806451612904 |
317.0 |
gulf |
LA |
Haynesville - LA |
1701300014 |
BIENVILLE |
2024-07-01 |
2024-02-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
9.741379310344827 |
282.5 |
gulf |
LA |
Haynesville - LA |
1701300014 |
BIENVILLE |
2024-07-01 |
2023-09-01 |
DIVERSIFIED PRODUCTION LLC |
0.03333333333333333 |
1.0 |
155.7 |
4671.0 |
gulf |
LA |
Haynesville - LA |
1701300020 |
BIENVILLE |
2024-07-01 |
2023-10-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
158.21516129032258 |
4904.67 |
gulf |
LA |
Haynesville - LA |
1701300020 |
BIENVILLE |
2024-07-01 |
2023-11-01 |
DIVERSIFIED PRODUCTION LLC |
0.03333333333333333 |
1.0 |
153.67766666666665 |
4610.33 |
gulf |
LA |
Haynesville - LA |
1701300020 |
BIENVILLE |
2024-07-01 |
2023-12-01 |
DIVERSIFIED PRODUCTION LLC |
0.0 |
0.0 |
154.91387096774193 |
4802.33 |
gulf |
LA |
Haynesville - LA |
1701300020 |